Modules/Admin/Routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('admin')->name('admin.')->middleware('auth', 'admin.auth')->group(function () {
    Route::get('/', function () {
        return view('admin::admin.index');
    })->name('admin.');

    Route::resource('users', 'user\UsersController');

    Route::get('/{user}/permission', 'PermissionController@create')->name('user.permission')->middleware('can:staff-user-permission');
    Route::post('/{user}/permission', 'PermissionController@store')->name('user.permission.store')->middleware('can:staff-user-permission');

    Route::resource('permission', 'PermissionController');

    Route::resource('role', 'RoleController');

    Route::resource('product', 'ProductController');

    Route::get('comments/unapproved', 'CommentsController@unapproved')->name('comments.unapproved');
    Route::resource('comments', 'CommentsController');

    Route::resource('category', 'CategoryController');

    Route::post('/attribute/values', 'AttributeController@getValues');

    Route::resource('orders', 'OrderController');
    Route::get('order/{order}/payment', 'OrderController@payment')->name('order.payment');

    Route::resource('product.gallery', 'ProductGalleryController');

    Route::resource('discount', 'DiscountController');


    Route::get('module', 'MainController@index')->name('module.index');
    Route::put('module/{module}/disable', 'MainController@disable')->name('module.disable');
    Route::put('module/{module}/enable', 'MainController@enable')->name('module.enable');


});

Modules/Admin/Http/Controllers/CategoryController.php
<?php

namespace Modules\Admin\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Category\Entities\Category;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $categories = Category::whereParent(0)->latest()->paginate(10);

        return view('admin::admin.categories.all', compact('categories'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Category $category)
    {
        return view('admin::admin.categories.create', compact($category));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        if (\request('parent')) {
            $request->validate([
                'parent' => 'exists:categories,id'
            ]);
        }
        $request->validate([
            'name' => ['required', 'min:3']
        ]);

        Category::create([
            'name' => $request->name,
            'parent' => $request->parent ?? 0
        ]);

        alert()->success('ذخیره شد');

        return redirect(route('admin.category.index'));

    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Category $category)
    {
        return view('admin::admin.categories.edit', compact('category'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Category $category)
    {
        $request->validate([
            'name' => ['required', 'min:3']
        ]);

        if (\request('parent')) {
            $request->validate(['parent' => ['exists:categories,id']]);
        }


        $category->update([
            'name' => $request->name,
            'parent' => $request->parent ?? 0
        ]);

        alert()->success('ویرایش شد');

        return redirect(route('admin.category.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Category $category)
    {
        $category->delete();

        alert()->success('حذف شد');

        return redirect(route('admin.category.index'));
    }
}

Modules/Admin/Resources/views/admin/categories/all.blade.php
@component('admin::admin.layout.content' , ['title' => 'لیست دسته بندی ها'])
    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item active">لیست دسته بندی ها</li>
    @endslot

    @slot('head')
        <style>
            li.list-group-item > ul.list-group {
                margin-top: 10px;
            }
        </style>
    @endslot
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">دسته بندی ها</h3>

                    <div class="card-tools d-flex">
                        <form action="">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="search" class="form-control float-right" placeholder="جستجو" value="{{ request('search') }}">

                                <div class="input-group-append">
                                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                </div>
                            </div>
                        </form>
                        <div class="btn-group-sm mr-1">
                            @can('create-category')
                                <a href="{{ route('admin.category.create') }}" class="btn btn-info">ایجاد سردسته جدید</a>
                            @endcan
                        </div>
                    </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body table-responsive p-0">
                    @include('admin::admin.layout.categories-group' , ['categories' => $categories])
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                    {{ $categories->appends([ 'search' => request('search') ])->render() }}
                </div>
            </div>
            <!-- /.card -->
        </div>
    </div>

@endcomponent

Modules/Admin/Resources/views/admin/categories/create.blade.php
@component('admin::admin.layout.content' , ['title' => 'ایجاد دسته'])
    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item"><a href="{{ route('admin.category.index') }}">لیست دسته بندی ها</a></li>
        <li class="breadcrumb-item active">ایجاد دسته</li>
    @endslot

    <div class="row">
        <div class="col-lg-12">
{{--            @include('admin.layout.errors')--}}
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">فرم ایجاد دسته</h3>
                </div>
                <!-- /.card-header -->
                <!-- form start -->
                <form class="form-horizontal" action="{{ route('admin.category.store') }}" method="POST">
                    @csrf

                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputEmail3" class="col-sm-2 control-label">دسته مرتبط</label>
                            <input type="text" name="name" class="form-control" id="inputEmail3" placeholder="نام دسته را وارد کنید">
                        </div>
                        @if(request('parent'))
                            @php
                                $parent = \Modules\Category\Entities\Category::find(request('parent'))
                            @endphp
                            <div class="form-group">
                                <label for="inputEmail3" class="col-sm-2 control-label">نام دسته</label>
                                <input type="text" class="form-control" id="inputEmail3" disabled value="{{ $parent->name }}">
                                <input type="hidden" name="parent" value="{{ $parent->id }}">
                            </div>
                        @endif
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <button type="submit" class="btn btn-info">ثبت دسته</button>
                        <a href="{{ route('admin.category.index') }}" class="btn btn-default float-left">لغو</a>
                    </div>
                    <!-- /.card-footer -->
                </form>
            </div>
        </div>
    </div>

@endcomponent

Modules/Admin/Resources/views/admin/categories/edit.blade.php
@component('admin::admin.layout.content' , ['title' => 'ویرایش دسته'])
    @slot('breadcrumb')
        <li class="breadcrumb-item"><a href="/admin">پنل مدیریت</a></li>
        <li class="breadcrumb-item"><a href="{{ route('admin.users.index') }}">لیست دسته بندی ها</a></li>
        <li class="breadcrumb-item active">ویرایش دسته</li>
    @endslot

    <div class="row">
        <div class="col-lg-12">
{{--            @include('admin.layout.errors')--}}
            <div class="card">
                <div class="card-header">
                    <h3 class="card-title">فرم ویرایش دسته</h3>
                </div>
                <!-- /.card-header -->
                <!-- form start -->
                <form class="form-horizontal" action="{{ route('admin.category.update' , $category->id) }}" method="POST">
                    @csrf
                    @method('patch')

                    <div class="card-body">
                        <div class="form-group">
                            <label for="inputEmail3" class="col-sm-2 control-label">نام دسته</label>
                            <input type="text" name="name" class="form-control" id="inputEmail3" placeholder="نام دسته را وارد کنید" value="{{ old('name' , $category->name) }}">
                        </div>
                        <div class="form-group">
                            <label for="inputEmail3" class="col-sm-2 control-label">دسته مرتبط</label>
                            <select class="form-control" name="parent" id="permissions">
                                @foreach(\Modules\Category\Entities\Category::all() as $cate)
                                    <option value="{{ $cate->id }}" {{ $cate->id === $category->parent ? 'selected' : '' }}>{{ $cate->name }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <!-- /.card-body -->
                    <div class="card-footer">
                        <button type="submit" class="btn btn-info">ویرایش دسته</button>
                        <a href="{{ route('admin.category.index') }}" class="btn btn-default float-left">لغو</a>
                    </div>
                    <!-- /.card-footer -->
                </form>
            </div>
        </div>
    </div>

@endcomponent